org.hibernate.search.elasticsearch.bridge.builtin.time.impl

## Class ElasticsearchLocalDateTimeBridge

- java.lang.Object
- - org.hibernate.search.bridge.util.impl.EncodingStringBridge<T>
  - - org.hibernate.search.elasticsearch.bridge.builtin.time.impl.ElasticsearchTemporalAccessorStringBridge<LocalDateTime>
    - - org.hibernate.search.elasticsearch.bridge.builtin.time.impl.ElasticsearchLocalDateTimeBridge

- All Implemented Interfaces:
    EncodingBridge, IgnoreAnalyzerBridge, StringBridge, TwoWayStringBridge

      public class ElasticsearchLocalDateTimeBridge
      extends ElasticsearchTemporalAccessorStringBridge<LocalDateTime>

  Converts a `LocalDateTime` to a `String` in ISO-8601 extended format (9 digits for the year instead of 4).

  Be aware that this format is not the same as `DateTimeFormatter.ISO_LOCAL_DATE_TIME` (mainly because of the second fraction field, which is at least 3 characters long), nor as Elasticsearch's "strict_date_hour_minute_second_fraction" format (since years with more than 4 digits are allowed).

  Author:
    Yoann Rodiere

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElasticsearchLocalDateTimeBridge` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IllegalArgumentException` | `createInvalidIndexNullAsException(String indexNullAs, DateTimeException e)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.bridge.builtin.time.impl.ElasticsearchTemporalAccessorStringBridge

      `getEncodingType, objectToString, parseIndexNullAs, stringToObject`

    - ### Methods inherited from class org.hibernate.search.bridge.util.impl.EncodingStringBridge

      `createNullMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ElasticsearchLocalDateTimeBridge INSTANCE

  - ### Method Detail

    - #### createInvalidIndexNullAsException

          protected IllegalArgumentException createInvalidIndexNullAsException(String indexNullAs,
                                                                               DateTimeException e)

      Specified by:
        `createInvalidIndexNullAsException` in class `ElasticsearchTemporalAccessorStringBridge<LocalDateTime>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved